<solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                (backToDetailChange)="backToDetail()"
                                [currentModel]="currentObs | async"
                                [deleteAvailable]="deleteAvailable"
                                [editAvailable]="editAvailable"
                                [formPresentational]="formPresentational"
                                [mode]="'detail'"
>
</solidify-button-toolbar-detail>

<div [solidifySpinner]="isLoadingWithDependencyObs | async"
     class="wrapper"
>
  <dlcm-preservation-space-contributor-form #formPresentational
                                            (checkAvailableChange)="checkAvailable($event)"
                                            (dirtyChange)="updateCanDeactivate($event)"
                                            (editChange)="edit()"
                                            (navigatePerson)="navigateToPerson()"
                                            (submitChange)="update($event)"
                                            *ngIf="isReadyToBeDisplayedObs | async"
                                            [model]="currentObs | async"
                                            [readonly]="true"
  >
  </dlcm-preservation-space-contributor-form>
</div>

<h1>{{'preservationSpace.contributor.deposit.title' | translate}}</h1>

<div class="warning">
  <solidify-icon [iconName]="iconNameEnum.warning"></solidify-icon>
  <span>{{'preservationSpace.contributor.deposit.authorizedDepositWarning' | translate}}</span>
</div>


<solidify-data-table (queryParametersChange)="onQueryParametersEvent($event)"
                     (selectChange)="goToDeposit($event)"
                     [columns]="columns"
                     [data]="listDepositObs | async"
                     [isLoading]="isLoadingDepositObs | async"
                     [displaySpinnerWhenLoading]="true"
                     [queryParameters]="queryParametersDepositObs | async"
                     [skipInitialQuery]="true"
></solidify-data-table>

